Bug 1468611 - Excessive Memory Usage and Intermittent freezes
Excessive Memory Usage and Intermittent freezes
Status: NEW
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-07 10:16 EDT by Aditya Shah
Modified: 2017-10-24 04:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aditya Shah 2017-07-07 10:16:14 EDT
It seems since firefox 54 was installed, firefox has been using high amounts of memory (in the range of 3-4GB), especially if there are a lot of images on a page or if there are many tabs open. It doesn't immediately though, after an hour or so of browsing the memory usage reaches that point. When this happens firefox intermittently freezes for 10-15secs before being functional again.
Comment 1 "FeRD" (Frank Dana) 2017-07-12 19:00:05 EDT
I returned to my recently-upgraded F26 system after a few hours working on something else, to find Firefox's "Web Content" process consuming 2.75G resident memory on my 4GB laptop (over 6G virtual size), and the system so frozen I had to ssh in from elsewhere and kill that process before I could even get the screenlock password prompt to show up.

The "Web Content" process also had an arguments list that was, frankly, insane, with nearly 1000 characters of -intPrefs and -boolPrefs listed before it finally descended into Unicode line noise in the -stringPrefs. (I have no idea what's encoded in there so I'm reluctant to share it. But I do have a copy of the commandline as reported by `ps -ef`, which I saved to a text file in the unlikely event it might prove to be of any use.)

Firefox had been sitting with three unremarkable, static tabs open, and had only been used to visit a few dozen pages since it was launched. Though, it had just begun its first Sync operation when I left it, and there's likely a lot of weird "stuff" in my Sync store, cruft from other Firefox installs that have been accumulating configs and metadata for many years.
Comment 2 Jan Horak 2017-10-24 04:41:47 EDT
Please try a fresh profile without any extension and check if you see the same problem.

Note You need to log in before you can comment on or make changes to this bug.